
% This routine crease a fake section, "bering.mat",
% from the SAC climatology, to allow easy inclusion
% of net mass/salt constraints throught the bering strait.

clear all;

% include Silicate information from P14N in Bering Sea
load /export/lasalle1/hydrography/WOCE/P14n/P14n ... 
        lon lat ctd* heads units botSILCAT st* time bottom
heads=heads(2);units=units(2);
q=find(lat<51.6);
truncatectd;
heads2=heads;units2=units;
lon2=lon;lat2=lat;ctdpres2=ctdpres;
ctdtemp2=ctdtemp;ctdsal2=ctdsal;
botSILCAT2=botSILCAT;
clear lon lat ctdpres ctdtemp ctdsal heads units botSILCAT
save eraseme *2;

clear all;
load /home/lasalle0/archive/levitus94/lev_sacform
q=find(lat_sac==65.5 | lat_sac==66.5);
q2=find(lon_sac>190 & lon_sac<193);
lon=lon_sac(q2);
lat=mean(lat_sac(q))*ones(size(lon));
ctdpresT=depth_sac;
ctdsalT=NaN*ones(length(depth_sac),1,length(lon));
ctdtempT=ctdsalT;
for j=1:length(q2);
  ctdsalT(:,:,j)=nanmean(salt_sac(:,q,j)')';
  ctdtempT(:,:,j)=nanmean(temp_sac(:,q,j)')';
end;

ctdsalT=reshape(ctdsalT,[length(ctdpresT) length(lon)]);
ctdtempT=reshape(ctdtempT, ...
	[length(ctdpresT) length(lon)]);
% drop values below deepest obs in "section"
q=max(find(isfinite(nanmean(ctdsalT'))));
ctdpresT=ctdpresT(1:q);
ctdsalT=ctdsalT(1:q,:);
ctdtempT=ctdtempT(1:q,:);

load /home/lasalle1/hydrography/WOCE/A05/a05fs ctdpres;
q=find(ctdpres<=max(ctdpresT));
ctdpres=ctdpres(q);
ctdsal=NaN*ones(length(ctdpres),length(lon));
ctdtemp=ctdsal;ctdoxy=ctdsal;
for i=1:length(lon);
  q=find(isfinite(ctdsalT(:,i)));
  ctdsal(:,i)=interp1(ctdpresT(q),ctdsalT(q,i), ...
        ctdpres,'linear');
  q=find(isfinite(ctdtempT(:,i)));
  ctdtemp(:,i)=interp1(ctdpresT(q),ctdtempT(q,i), ...
        ctdpres,'linear');
end;
clear *_sac ctd*T;

q=find(isnan(nanmean(ctdtemp')'));
ctdpres(q)=[];
ctdsal(q,:)=[];
ctdtemp(q,:)=[];
ctdoxy(q,:)=[];

% Bering Strait sill depth: 45m !
q=find(ctdpres<45);
ctdpres=ctdpres(q);
ctdsal=ctdsal(q,:);
ctdtemp=ctdtemp(q,:);
ctdoxy=ctdoxy(q,:);

stnnbr=(1:length(lon))';
st_order=stnnbr;
time=NaN*ones(size(lon));

heads=cellstr('SILCAT');
units=cellstr('UMOL/KG');
botSILCAT=NaN*ones(size(ctdtemp));
bottom=NaN*ones(size(stnnbr));
for i=1:length(stnnbr);
  q=find(isfinite(ctdtemp(:,i)));
  bottom(i)=max(ctdpres(q));
end;

expocode='Levitus94 climatology';
section='Bering Strait';
sortvar=3;

q=find(lon>180);
lon(q)=lon(q)-360;

clear q q2 i;

% fill NaNs in silicate
load eraseme;
property='botSILCAT';
interpprop;

save bering;
!rm eraseme.mat
